/**
 * Copyright (c) 2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.objectweb.petals.tools.rmi.server.remote.implementations;

import org.ow2.petals.component.framework.logger.ConsumeExtFlowStepBeginLogData;

public class RMIConsumeExtFlowStepBeginLogData extends ConsumeExtFlowStepBeginLogData {

    private static final long serialVersionUID = -4764817264675645692L;

    public RMIConsumeExtFlowStepBeginLogData(final String flowInstanceId, final String flowStepId,
            final String flowInterfaceName, final String flowServiceName, final String flowEndpointName,
            final String flowOperationName) {
        super(flowInstanceId, flowStepId);
        putData(FLOW_STEP_INTERFACE_NAME_PROPERTY_NAME, flowInterfaceName);
        putData(FLOW_STEP_SERVICE_NAME_PROPERTY_NAME, flowServiceName);
        putData(FLOW_STEP_OPERATION_NAME_PROPERTY_NAME, flowOperationName);
        putData(FLOW_STEP_ENDPOINT_NAME_PROPERTY_NAME, flowEndpointName);
    }

}
